Subject: Re: Is it normal for serial ports to drop characters at the end?

From: Dan Malek <[email-masked]>
Date: Wed, 03 May 2000 15:53:48 -0400

Marcus Sundberg wrote:

> Right on target.
> rs_8xx_wait_until_sent() will wait for the *first* buffer descriptor
> to be finished, instead of waiting for the last one as it should.
> This patch fixes that problem:

That's part of it, but we also need to perform a graceful shutdown
of the port so we wait until the hardware FIFOs are empty.  Waiting
for the buffer descriptor just means the CPM moved the last data
from the buffer, not that it has gone out the wire.

I thought I did this once.....but, why are you closing devices anyway :-).

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/